<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/DayZSpectator.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/de4/_day_z_spectator_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">DayZSpectator.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/de4/_day_z_spectator_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d2/d65/class_day_z_spectator.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/d65/class_day_z_spectator.html">DayZSpectator</a> : <a class="code hl_class" href="../../da/dbb/class_camera.html">Camera</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d2/d65/class_day_z_spectator.html#ae3052eaf2b86bcef2806181baa413d15">    3</a></span>    <span class="keyword">private</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d2/d65/class_day_z_spectator.html#ae3052eaf2b86bcef2806181baa413d15">m_SpeedMultiplier</a> = 1.0;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d2/d65/class_day_z_spectator.html#aed2fad77df02bd544232e2c894aa61bd">    5</a></span>    <span class="keyword">private</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d2/d65/class_day_z_spectator.html#aed2fad77df02bd544232e2c894aa61bd">m_SendUpdateAcc</a> = 0.0;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d2/d65/class_day_z_spectator.html#a1d867946fe07e94243c89cfd5e076ad6">    7</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d65/class_day_z_spectator.html#a1d867946fe07e94243c89cfd5e076ad6">DayZSpectator</a>()</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        SetEventMask(<a class="code hl_enumeration" href="../../d3/d14/group___entity_attributes.html#gaa29339063b04471895b3cb38b17cdb13">EntityEvent</a>.FRAME);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    }</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d2/d65/class_day_z_spectator.html#a892b524ea6fc3264829cfb9c22d12a8a">   12</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d65/class_day_z_spectator.html#a892b524ea6fc3264829cfb9c22d12a8a">EOnFrame</a>(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> <a class="code hl_variable" href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a>, <span class="keywordtype">float</span> timeSlice)</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_class" href="../../d4/d7b/class_input.html">Input</a> input = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aecd897d7ae85f4fba1f7ee552046f909">GetInput</a>();</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordflow">if</span>( input.<a class="code hl_function" href="../../d4/d7b/class_input.html#a1403ec3de002c90ed0af39dd9ba25318">LocalPress</a>(<span class="stringliteral">&quot;UACarShiftGearUp&quot;</span>) )</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>            <a class="code hl_variable" href="../../d2/d65/class_day_z_spectator.html#ae3052eaf2b86bcef2806181baa413d15">m_SpeedMultiplier</a> = <a class="code hl_variable" href="../../d2/d65/class_day_z_spectator.html#ae3052eaf2b86bcef2806181baa413d15">m_SpeedMultiplier</a> + 2;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keywordflow">if</span>( input.<a class="code hl_function" href="../../d4/d7b/class_input.html#a1403ec3de002c90ed0af39dd9ba25318">LocalPress</a>(<span class="stringliteral">&quot;UACarShiftGearDown&quot;</span>) )</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            <a class="code hl_variable" href="../../d2/d65/class_day_z_spectator.html#ae3052eaf2b86bcef2806181baa413d15">m_SpeedMultiplier</a> = <a class="code hl_variable" href="../../d2/d65/class_day_z_spectator.html#ae3052eaf2b86bcef2806181baa413d15">m_SpeedMultiplier</a> - 2;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordtype">float</span> speed = 5.0 * <a class="code hl_variable" href="../../d2/d65/class_day_z_spectator.html#ae3052eaf2b86bcef2806181baa413d15">m_SpeedMultiplier</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">if</span>( input.<a class="code hl_function" href="../../d4/d7b/class_input.html#a93aa11e7d7554da93127443cb51d9adb">LocalValue</a>(<span class="stringliteral">&quot;UATurbo&quot;</span>) )</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            speed *= 2;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordtype">float</span> forward = input.<a class="code hl_function" href="../../d4/d7b/class_input.html#a93aa11e7d7554da93127443cb51d9adb">LocalValue</a>(<span class="stringliteral">&quot;UAMoveForward&quot;</span>) - input.<a class="code hl_function" href="../../d4/d7b/class_input.html#a93aa11e7d7554da93127443cb51d9adb">LocalValue</a>(<span class="stringliteral">&quot;UAMoveBack&quot;</span>);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordtype">float</span> strafe = input.<a class="code hl_function" href="../../d4/d7b/class_input.html#a93aa11e7d7554da93127443cb51d9adb">LocalValue</a>(<span class="stringliteral">&quot;UATurnRight&quot;</span>) - input.<a class="code hl_function" href="../../d4/d7b/class_input.html#a93aa11e7d7554da93127443cb51d9adb">LocalValue</a>(<span class="stringliteral">&quot;UATurnLeft&quot;</span>);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> direction = <a class="code hl_function" href="../../dd/d93/_object_8c.html#acf5f7342c7b6c4c61ef426e83c602998">GetDirection</a>();</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> directionAside = <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#ac187fd4c6a90da92d88737f963b03d6d">Up</a> * direction;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> oldPos = <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>();</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> forwardChange = forward * timeSlice * direction * speed;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> strafeChange = strafe * timeSlice * directionAside * speed;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> newPos = oldPos + forwardChange + strafeChange;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordtype">float</span> yMin = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#acefa7c3fe4587d2df5910e90a55541c8">SurfaceRoadY</a>(newPos[0], newPos[2]);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">if</span>( newPos[1] &lt; yMin )</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            newPos[1] = yMin;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_function" href="../../d6/dae/group___debug_shape.html#ga3aa6cafceab9d573982aa9db5a5d6e34">SetPosition</a>(newPos);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordtype">float</span> yawDiff = input.<a class="code hl_function" href="../../d4/d7b/class_input.html#a93aa11e7d7554da93127443cb51d9adb">LocalValue</a>(<span class="stringliteral">&quot;UAAimLeft&quot;</span>) - input.<a class="code hl_function" href="../../d4/d7b/class_input.html#a93aa11e7d7554da93127443cb51d9adb">LocalValue</a>(<span class="stringliteral">&quot;UAAimRight&quot;</span>);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordtype">float</span> pitchDiff = input.<a class="code hl_function" href="../../d4/d7b/class_input.html#a93aa11e7d7554da93127443cb51d9adb">LocalValue</a>(<span class="stringliteral">&quot;UAAimDown&quot;</span>) - input.<a class="code hl_function" href="../../d4/d7b/class_input.html#a93aa11e7d7554da93127443cb51d9adb">LocalValue</a>(<span class="stringliteral">&quot;UAAimUp&quot;</span>);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> oldOrient = <a class="code hl_function" href="../../dd/d93/_object_8c.html#a25741202afb6807f192843d19acb37a4">GetOrientation</a>();</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> newOrient = oldOrient;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        newOrient[0] = newOrient[0] - <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gad73851cb23a468ee6eb705d0ec76e141">RAD2DEG</a> * yawDiff * timeSlice;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        newOrient[1] = newOrient[1] - <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gad73851cb23a468ee6eb705d0ec76e141">RAD2DEG</a> * pitchDiff * timeSlice;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">if</span>( newOrient[1] &lt; -89 )</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            newOrient[1] = -89;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">if</span>( newOrient[1] &gt; 89 )</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            newOrient[1] = 89;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_function" href="../../dd/d93/_object_8c.html#a0f02085ad510a4834c02d67c63178137">SetOrientation</a>(newOrient);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d2/d65/class_day_z_spectator.html#aed2fad77df02bd544232e2c894aa61bd">m_SendUpdateAcc</a> &gt; 0.5 )</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a49acf84011fe12d25a62aa1d76193d02">UpdateSpectatorPosition</a>(newPos);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <a class="code hl_variable" href="../../d2/d65/class_day_z_spectator.html#aed2fad77df02bd544232e2c894aa61bd">m_SendUpdateAcc</a> = 0;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_variable" href="../../d2/d65/class_day_z_spectator.html#aed2fad77df02bd544232e2c894aa61bd">m_SendUpdateAcc</a> = <a class="code hl_variable" href="../../d2/d65/class_day_z_spectator.html#aed2fad77df02bd544232e2c894aa61bd">m_SendUpdateAcc</a> + timeSlice;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>};</div>
<div class="ttc" id="a_car_script_8c_html_adbbef30aba7b6095441413e50771e4fd"><div class="ttname"><a href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a></div><div class="ttdeci">IEntity other</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d71/_car_script_8c_source.html#l00038">CarScript.c:38</a></div></div>
<div class="ttc" id="a_effect_8c_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdoc">Get the world position of the Effect.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00437">Effect.c:437</a></div></div>
<div class="ttc" id="a_object_8c_html_a0f02085ad510a4834c02d67c63178137"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a0f02085ad510a4834c02d67c63178137">SetOrientation</a></div><div class="ttdeci">proto native void SetOrientation(vector vOrientation)</div><div class="ttdoc">Set orientation (yaw, pitch, roll) in degrees</div></div>
<div class="ttc" id="a_object_8c_html_a25741202afb6807f192843d19acb37a4"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a25741202afb6807f192843d19acb37a4">GetOrientation</a></div><div class="ttdeci">proto native vector GetOrientation()</div><div class="ttdoc">Retrieve orientation (yaw, pitch, roll) in degrees</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbe/_area_damage_manager_8c_source.html#l00306">AreaDamageManager.c:306</a></div></div>
<div class="ttc" id="a_object_8c_html_acf5f7342c7b6c4c61ef426e83c602998"><div class="ttname"><a href="../../dd/d93/_object_8c.html#acf5f7342c7b6c4c61ef426e83c602998">GetDirection</a></div><div class="ttdeci">proto native vector GetDirection()</div><div class="ttdoc">Retrieve direction vector.</div></div>
<div class="ttc" id="aclass_c_game_html_a49acf84011fe12d25a62aa1d76193d02"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a49acf84011fe12d25a62aa1d76193d02">CGame::UpdateSpectatorPosition</a></div><div class="ttdeci">proto native void UpdateSpectatorPosition(vector position)</div><div class="ttdoc">Updates spectator position on server = position of network bubble.</div></div>
<div class="ttc" id="aclass_c_game_html_acefa7c3fe4587d2df5910e90a55541c8"><div class="ttname"><a href="../../d2/de6/class_c_game.html#acefa7c3fe4587d2df5910e90a55541c8">CGame::SurfaceRoadY</a></div><div class="ttdeci">proto native float SurfaceRoadY(float x, float z)</div></div>
<div class="ttc" id="aclass_c_game_html_aecd897d7ae85f4fba1f7ee552046f909"><div class="ttname"><a href="../../d2/de6/class_c_game.html#aecd897d7ae85f4fba1f7ee552046f909">CGame::GetInput</a></div><div class="ttdeci">proto native Input GetInput()</div></div>
<div class="ttc" id="aclass_camera_html"><div class="ttname"><a href="../../da/dbb/class_camera.html">Camera</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dcc/_camera_8c_source.html#l00069">Camera.c:70</a></div></div>
<div class="ttc" id="aclass_day_z_spectator_html"><div class="ttname"><a href="../../d2/d65/class_day_z_spectator.html">DayZSpectator</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de4/_day_z_spectator_8c_source.html#l00001">DayZSpectator.c:2</a></div></div>
<div class="ttc" id="aclass_day_z_spectator_html_a1d867946fe07e94243c89cfd5e076ad6"><div class="ttname"><a href="../../d2/d65/class_day_z_spectator.html#a1d867946fe07e94243c89cfd5e076ad6">DayZSpectator::DayZSpectator</a></div><div class="ttdeci">void DayZSpectator()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de4/_day_z_spectator_8c_source.html#l00007">DayZSpectator.c:7</a></div></div>
<div class="ttc" id="aclass_day_z_spectator_html_a892b524ea6fc3264829cfb9c22d12a8a"><div class="ttname"><a href="../../d2/d65/class_day_z_spectator.html#a892b524ea6fc3264829cfb9c22d12a8a">DayZSpectator::EOnFrame</a></div><div class="ttdeci">override void EOnFrame(IEntity other, float timeSlice)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de4/_day_z_spectator_8c_source.html#l00012">DayZSpectator.c:12</a></div></div>
<div class="ttc" id="aclass_day_z_spectator_html_ae3052eaf2b86bcef2806181baa413d15"><div class="ttname"><a href="../../d2/d65/class_day_z_spectator.html#ae3052eaf2b86bcef2806181baa413d15">DayZSpectator::m_SpeedMultiplier</a></div><div class="ttdeci">private float m_SpeedMultiplier</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de4/_day_z_spectator_8c_source.html#l00003">DayZSpectator.c:3</a></div></div>
<div class="ttc" id="aclass_day_z_spectator_html_aed2fad77df02bd544232e2c894aa61bd"><div class="ttname"><a href="../../d2/d65/class_day_z_spectator.html#aed2fad77df02bd544232e2c894aa61bd">DayZSpectator::m_SendUpdateAcc</a></div><div class="ttdeci">private float m_SendUpdateAcc</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de4/_day_z_spectator_8c_source.html#l00005">DayZSpectator.c:5</a></div></div>
<div class="ttc" id="aclass_input_html"><div class="ttname"><a href="../../d4/d7b/class_input.html">Input</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d06/input_8c_source.html#l00010">input.c:11</a></div></div>
<div class="ttc" id="aclass_input_html_a1403ec3de002c90ed0af39dd9ba25318"><div class="ttname"><a href="../../d4/d7b/class_input.html#a1403ec3de002c90ed0af39dd9ba25318">Input::LocalPress</a></div><div class="ttdeci">proto native bool LocalPress(string action, bool check_focus=true)</div></div>
<div class="ttc" id="aclass_input_html_a93aa11e7d7554da93127443cb51d9adb"><div class="ttname"><a href="../../d4/d7b/class_input.html#a93aa11e7d7554da93127443cb51d9adb">Input::LocalValue</a></div><div class="ttdeci">proto native float LocalValue(string action, bool check_focus=true)</div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="aclassvector_html_ac187fd4c6a90da92d88737f963b03d6d"><div class="ttname"><a href="../../d7/dfc/classvector.html#ac187fd4c6a90da92d88737f963b03d6d">vector::Up</a></div><div class="ttdeci">static const vector Up</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00100">EnConvert.c:100</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___debug_shape_html_ga3aa6cafceab9d573982aa9db5a5d6e34"><div class="ttname"><a href="../../d6/dae/group___debug_shape.html#ga3aa6cafceab9d573982aa9db5a5d6e34">SetPosition</a></div><div class="ttdeci">proto native void SetPosition(vector position)</div><div class="ttdoc">Set the world position of the Effect.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00427">Effect.c:427</a></div></div>
<div class="ttc" id="agroup___entity_attributes_html_dc/da9/class_i_entity"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00164">EnEntity.c:165</a></div></div>
<div class="ttc" id="agroup___entity_attributes_html_gaa29339063b04471895b3cb38b17cdb13"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#gaa29339063b04471895b3cb38b17cdb13">EntityEvent</a></div><div class="ttdeci">EntityEvent</div><div class="ttdoc">Entity events for event-mask, or throwing event from code.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00044">EnEntity.c:45</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_gad73851cb23a468ee6eb705d0ec76e141"><div class="ttname"><a href="../../d5/d98/group___math.html#gad73851cb23a468ee6eb705d0ec76e141">Math::RAD2DEG</a></div><div class="ttdeci">static const float RAD2DEG</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00016">EnMath.c:16</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../d2/de4/_day_z_spectator_8c.html">DayZSpectator.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
